com.sun.jna.platform.unix

## Class X11.XWindowAttributes

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.unix.X11.XWindowAttributes

- Enclosing interface:
    X11

      public static class X11.XWindowAttributes
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `NativeLong` | `all_event_masks`
    `NativeLong` | `backing_pixel`
    `NativeLong` | `backing_planes`
    `int` | `backing_store`
    `int` | `bit_gravity`
    `int` | `border_width`
    `int` | `c_class`
    `X11.Colormap` | `colormap`
    `int` | `depth`
    `NativeLong` | `do_not_propagate_mask`
    `int` | `height`
    `boolean` | `map_installed`
    `int` | `map_state`
    `boolean` | `override_redirect`
    `X11.Window` | `root`
    `boolean` | `save_under`
    `X11.Screen` | `screen`
    `X11.Visual` | `visual`
    `int` | `width`
    `int` | `win_gravity`
    `int` | `x`
    `int` | `y`
    `NativeLong` | `your_event_mask`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `X11.XWindowAttributes()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List` | `getFieldOrder()` Return this Structure's field names in their proper order.

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### x

          public int x

    - #### y

          public int y

    - #### width

          public int width

    - #### height

          public int height

    - #### border_width

          public int border_width

    - #### depth

          public int depth

    - #### visual

          public X11.Visual visual

    - #### root

          public X11.Window root

    - #### c_class

          public int c_class

    - #### bit_gravity

          public int bit_gravity

    - #### win_gravity

          public int win_gravity

    - #### backing_store

          public int backing_store

    - #### backing_planes

          public NativeLong backing_planes

    - #### backing_pixel

          public NativeLong backing_pixel

    - #### save_under

          public boolean save_under

    - #### colormap

          public X11.Colormap colormap

    - #### map_installed

          public boolean map_installed

    - #### map_state

          public int map_state

    - #### all_event_masks

          public NativeLong all_event_masks

    - #### your_event_mask

          public NativeLong your_event_mask

    - #### do_not_propagate_mask

          public NativeLong do_not_propagate_mask

    - #### override_redirect

          public boolean override_redirect

    - #### screen

          public X11.Screen screen

  - ### Constructor Detail

    - #### X11.XWindowAttributes

          public X11.XWindowAttributes()

  - ### Method Detail

    - #### getFieldOrder

          protected java.util.List getFieldOrder()

      Description copied from class: `Structure`
      Return this Structure's field names in their proper order. For example,

           protected List getFieldOrder() {
               return Arrays.asList(new String[] { ... });
           }

      IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

           protected List getFieldOrder() {
               List fields = new ArrayList(super.getFieldOrder());
               fields.addAll(Arrays.asList(new String[] { ... }));
               return fields;
           }

      Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
      Specified by:
        `getFieldOrder` in class `Structure`

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.